## GtkTooltip GtkTooltip — Add tips to your widgets |

## Functions

void | gtk_tooltip_set_markup ()
void | gtk_tooltip_set_text ()
void | gtk_tooltip_set_icon ()
void | gtk_tooltip_set_icon_from_icon_name ()
void | gtk_tooltip_set_icon_from_gicon ()
void | gtk_tooltip_set_custom ()
void | gtk_tooltip_set_tip_area ()

## Types and Values

| GtkTooltip

## Object Hierarchy

        GObject
        ╰── GtkTooltip

## Includes

    #include <gtk/gtk.h>

## Description

Basic tooltips can be realized simply by using `gtk_widget_set_tooltip_text()` or `gtk_widget_set_tooltip_markup()` without any explicit tooltip object.

When you need a tooltip with a little more fancy contents, like adding an image, or you want the tooltip to have different contents per GtkTreeView row or cell, you will have to do a little more work:

- Set the “has-tooltip” property to `TRUE`, this will make GTK monitor the widget for motion and related events which are needed to determine when and where to show a tooltip.

- Connect to the “query-tooltip” signal. This signal will be emitted when a tooltip is supposed to be shown. One of the arguments passed to the signal handler is a GtkTooltip object. This is the object that we are about to display as a tooltip, and can be manipulated in your callback using functions like `gtk_tooltip_set_icon()`. There are functions for setting the tooltip’s markup, setting an image from a named icon, or even putting in a custom widget.

  Return `TRUE` from your query-tooltip handler. This causes the tooltip to be show. If you return `FALSE`, it will not be shown.

## Functions

### gtk_tooltip_set_markup ()

    void
    gtk_tooltip_set_markup (GtkTooltip *tooltip,
                            const char *markup);

Sets the text of the tooltip to be `markup` , which is marked up with the Pango text markup language. If `markup` is `NULL`, the label will be hidden.

#### Parameters

tooltip | a GtkTooltip |
markup | a markup string (see Pango markup format) or `NULL`. | [allow-none]

### gtk_tooltip_set_text ()

    void
    gtk_tooltip_set_text (GtkTooltip *tooltip,
                          const char *text);

Sets the text of the tooltip to be `text` . If `text` is `NULL`, the label will be hidden. See also `gtk_tooltip_set_markup()`.

#### Parameters

tooltip | a GtkTooltip |
text | a text string or `NULL`. | [allow-none]

### gtk_tooltip_set_icon ()

    void
    gtk_tooltip_set_icon (GtkTooltip *tooltip,
                          GdkPaintable *paintable);

Sets the icon of the tooltip (which is in front of the text) to be `paintable` . If `paintable` is `NULL`, the image will be hidden.

#### Parameters

tooltip | a GtkTooltip |
paintable | a GdkPaintable, or `NULL`. | [allow-none]

### gtk_tooltip_set_icon_from_icon_name ()

    void
    gtk_tooltip_set_icon_from_icon_name (GtkTooltip *tooltip,
                                         const char *icon_name);

Sets the icon of the tooltip (which is in front of the text) to be the icon indicated by `icon_name` with the size indicated by `size` . If `icon_name` is `NULL`, the image will be hidden.

#### Parameters

tooltip | a GtkTooltip |
icon_name | an icon name, or `NULL`. | [allow-none]

### gtk_tooltip_set_icon_from_gicon ()

    void
    gtk_tooltip_set_icon_from_gicon (GtkTooltip *tooltip,
                                     GIcon *gicon);

Sets the icon of the tooltip (which is in front of the text) to be the icon indicated by `gicon` with the size indicated by `size` . If `gicon` is `NULL`, the image will be hidden.

#### Parameters

tooltip | a GtkTooltip |
gicon | a GIcon representing the icon, or `NULL`. | [allow-none]

### gtk_tooltip_set_custom ()

    void
    gtk_tooltip_set_custom (GtkTooltip *tooltip,
                            GtkWidget *custom_widget);

Replaces the widget packed into the tooltip with `custom_widget` . `custom_widget` does not get destroyed when the tooltip goes away. By default a box with a GtkImage and GtkLabel is embedded in the tooltip, which can be configured using `gtk_tooltip_set_markup()` and `gtk_tooltip_set_icon()`.

#### Parameters

tooltip | a GtkTooltip |
custom_widget | a GtkWidget, or `NULL` to unset the old custom widget. | [allow-none]

### gtk_tooltip_set_tip_area ()

    void
    gtk_tooltip_set_tip_area (GtkTooltip *tooltip,
                              const GdkRectangle *rect);

Sets the area of the widget, where the contents of this tooltip apply, to be `rect` (in widget coordinates). This is especially useful for properly setting tooltips on GtkTreeView rows and cells, GtkIconViews, etc.

For setting tooltips on GtkTreeView, please refer to the convenience functions for this: `gtk_tree_view_set_tooltip_row()` and `gtk_tree_view_set_tooltip_cell()`.

#### Parameters

tooltip | a GtkTooltip |
rect | a GdkRectangle |

## Types and Values

### GtkTooltip

    typedef struct _GtkTooltip GtkTooltip;